【活用ガイド】

[English]

JVNDB-2015-000179

アプリカンにおけるスクリプトインジェクションの脆弱性

概要

株式会社ニューフォリアが提供するアプリカンは、Android および iOS 向けアプリケーションの開発支援プラットフォームです。アプリカンには、URL の処理に起因するスクリプトインジェクションの脆弱性が存在します。

なお、本脆弱性は JVN#71088919 とは異なる問題です。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 株式会社スプラウト 末房建太 氏、塩見友規 氏

CVSS による深刻度 (CVSS とは?)

基本値: 6.8 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


株式会社ニューフォリア
  • アプリカン iOS アプリ 1.12.3 およびそれ以前で作成されたアプリケーション
  • アプリカン Android アプリ 1.12.6 およびそれ以前で作成されたアプリケーション

想定される影響

細工された URL にアクセスすることで、アプリカンで作成したアプリケーション上で任意のスクリプトを実行されます。結果として任意の API を実行される可能性があります。
対策

[リビルドし、アップデートする]
アプリカンを使用したアプリケーションの開発者は、株式会社ニューフォリアが提供する情報をもとに対策済みのランタイムエンジンでリビルドし、アプリをアップデートしてください。
ベンダ情報

株式会社ニューフォリア
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 不適切な入力確認(CWE-20) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2015-7772
参考情報

  1. JVN : JVN#64625488
  2. National Vulnerability Database (NVD) : CVE-2015-7772
更新履歴

[2015年11月17日]
  掲載
[2015年11月24日]
  参考情報:National Vulnerability Database (NVD) (CVE-2015-7772) を追加